package com.lz.modules.equipment.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.modules.equipment.entity.EquipmentSpecs;
import com.lz.modules.equipment.entity.EquipmentSpecsReq;

import java.util.List;

/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2020-07-29
*/
public interface EquipmentSpecsService extends IService<EquipmentSpecs> {



	EquipmentSpecs selectEquipmentSpecsById(Long id);


	Long insertEquipmentSpecs(EquipmentSpecs equipmentSpecs);


	int updateEquipmentSpecsById(EquipmentSpecs equipmentSpecs);


	int updateCoverEquipmentSpecsById(EquipmentSpecs equipmentSpecs);


	int deleteEquipmentSpecsById(Long id);


    EquipmentSpecs selectEquipmentSpecsByTypeBrandSpecss(Long typeId, Long brandId, String specs);

    PageUtils selectByCondition(EquipmentSpecsReq req);
    List<EquipmentSpecs> selectEquipmentSpecsByTypeBrandLikeSpecss(Long typeId, Long brandId, String specs);

	EquipmentSpecs selectSpecs(String specs);


}